//==================================================================
//              PU-1201 & KIROBO BODY SAMPLE PROGRAM 5-3
//  別売の「コンパスセンサー」を使用する場合のサンプルです。
//
//  SW1を押してプログラムをスタート。
//　コンパスセンサーでセットした向きに進み続けます。
//  途中でタッチセンサー１が押されたら、ブザーを鳴らして停止します。
//　停止した状態で、タッチセンサー２が押されたら、再び動き始めます。
//==================================================================
int MOTOR2_PWM = 100;     //左モーター出力割合　0-100%            ==      
int MOTOR1_PWM = 100;     //右モーター出力割合　0-100%            ==
int THRESHOLD  = 800;     //光センサーしきい値  0-1023            ==
//==================================================================
//ライブラリを使用するための命令です////////////////////////////////
#include "elekitKIROBO.h"          //QUICK PROGRAM SETTING FILE1  ==
#include "elekitSETTING.txt"       //QUICK PROGRAM SETTING FILE2  ==
//==================================================================
// 新しく作る変数はここに書きます///////////////////////////////////
int value1;
int value2;
//=================================================================
//                  KIROBO ACTION MAIN PROGRAM
//=================================================================
void actKirobo(){
  BUZZ.M();  BUZZ.M();  BUZZ.M();  BUZZ.H();  //動き出す前にブザーを鳴らす。
  while(1){                                 //以下の処理をずっと繰り返す。
    LED.ON();                               //コンパスセンサーをON。
    value1 = CHECK.TOUCH(1);                //コンパスセンサーの状態をチェックして変数valueに記憶。
    value2 = CHECK.TOUCH(2);
    
    if(value2 == 1 && value1 == 1){         //両方のセンサーがON、つまり目標の方向に向いているとき
      FWD.M(0);                             //前進する。
    }else if(value2 == 1 && value1 == 0){   //(左側の)センサー２だけON、つまり目標が左側にあるとき
      LFWD.M(0);                            //左旋回する。
    }else if(value1 =- 0 && value2 == 1){   //(右側の)センサー１だけON、つまり目標が右側にあるとき
      RFWD.M(0);                            //右旋回する。
    }else{                                  //両方のセンサーが白い床を検出していたとき
      RSPIN.L(0);                           //両方のセンサーがOFFのときは回転する。
    }
    
    LED.OFF();                              //コンパスセンサーをOFF。(タッチセンサーの情報を得られるようになる)
    value1 = CHECK.TOUCH(1);
    if(value1 == 1){
      MOT.BRAKE(0);
      BUZZ.L();  BUZZ.L();  BUZZ.L();
      value2 = 0;
      while(value2 == 0){
        value2 = CHECK.TOUCH(2);
        delay(100);
      }
    }
  }
}
//=================================================================
//ライブラリ使用時に使える専用命令の一覧
//  FWD.H/M/L(0 or 1-30000);    1-30000を設定時は、設定時間動作後にブレーキ
// BACK.H/M/L(0 or 1-30000);
// LFWD.H/M/L(0 or 1-30000);
// RFWD.H/M/L(0 or 1-30000);
// LBACK.H/M/L(0 or 1-30000);
// RBACK.H/M/L(0 or 1-30000);
// LSPIN.H/M/L(0 or 1-30000);
// RSPIN.H/M/L(0 or 1-30000);   
// MOT.BRAKE/OFF(0 or 1-30000);
// CHECK.LIGHT(1 or 2);
// CHECK.TOUCH(1 or 2);
// CHECK.SW(1);
// BUZZ.H/M/L();
// LED.ON/OFF();
//=================================================================
