//==================================================================
//              PU-1201 & KIROBO BODY SAMPLE PROGRAM 1-2
//  SW1を押してプログラムをスタート。
//　4角形を描くように向きを変えながら前進します。
//==================================================================
int MOTOR2_PWM = 100;     //左モーター出力割合　0-100%            ==      
int MOTOR1_PWM = 100;     //右モーター出力割合　0-100%            ==
int THRESHOLD  = 700;     //光センサーしきい値  0-1023            ==
//==================================================================
//ライブラリを使用するための命令です////////////////////////////////
#include "elekitKIROBO.h"          //QUICK PROGRAM SETTING FILE1  ==
#include "elekitSETTING.txt"       //QUICK PROGRAM SETTING FILE2  ==
//==================================================================
// 新しく作る変数はここに書きます///////////////////////////////////

//=================================================================
//                  KIROBO ACTION MAIN PROGRAM
//=================================================================
void actKirobo(){
  BUZZ.M();                 //動き始める前にブザーを鳴らします。
  BUZZ.M();
  BUZZ.M();
  BUZZ.H();
  
  for(int i=1; i<=4; i++){  //以下の動作を4回繰り返す。
    FWD.M(800);             //0.8秒間前進して停止し、ブザーを鳴らす。
    BUZZ.H();
    delay(500);
    
    RSPIN.L(460);           //約0.5秒間右回転して方向を変える。      
    BUZZ.H();               //↑ちょうど90度向きを変えるように、回転時間を調節しましょう。
    delay(500);
  }
  delay(1000);              //4角形を描いたので一旦動作を停止。
}
//=================================================================
//ライブラリ使用時に使える専用命令の一覧
//  FWD.H/M/L(0 or 1-30000);    1-30000を設定時は、設定時間動作後にブレーキ
// BACK.H/M/L(0 or 1-30000);
// LFWD.H/M/L(0 or 1-30000);
// RFWD.H/M/L(0 or 1-30000);
// LBACK.H/M/L(0 or 1-30000);
// RBACK.H/M/L(0 or 1-30000);
// LSPIN.H/M/L(0 or 1-30000);
// RSPIN.H/M/L(0 or 1-30000);   
// MOT.BRAKE/OFF(0 or 1-30000);
// CHECK.LIGHT(1 or 2);
// CHECK.TOUCH(1 or 2);
// CHECK.SW(1);
// BUZZ.H/M/L();
// LED.ON/OFF();
//=================================================================
